Ask Your Question
0

AttributeError: 'Client' object has no attribute 'software_configs'

asked 2014-03-24 19:41:13 -0600

Eric GH gravatar image

updated 2014-03-31 15:30:07 -0600

Hi Gurus....

I met one problem when draft the HOT template. For user_data part.. Please see below for the key tags..

--------------------------------------
    heat_template_version: 2013-05-23
    ....
    resources:
      volume_format_init:
        type: OS::Heat::SoftwareConfig
        properties:
          config: |
            !/bin/bash
            mkdir -p /opt/mysql3
    ....

      OPPA:
        type: OS::Nova::Server
        properties:
          admin_user: lps
          key_name: { get_param : key_name }
    ....
          user_data_format: RAW
          user_data: |
            get_resource: volume_format_init
---------------------------------------------------------

With above template I could pass the template-validation but when I try to do the stack-create it will fail with message as below.

AttributeError: 'Client' object has no attribute 'software_configs'

[root@vNode3 v3]# heat --version
0.2.6

Same issue even I upgrade the heat client to 0.2.8.

Highly appreciate any hint/clue.

Thanks,

edit retag flag offensive close merge delete

2 answers

Sort by ยป oldest newest most voted
0

answered 2014-04-13 22:34:15 -0600

Steve Baker gravatar image

To clarify, heat-engine now depends on python-heatclient to call heat-api, so you're servers running heat-engine also need to have a recent release of python-heatclient installed (and heat-engine services restarted)

edit flag offensive delete link more

Comments

Also I see a minor problem with your template, you should delete the | after your user_data:. ie

  user_data:
    get_resource: volume_format_init
Steve Baker gravatar imageSteve Baker ( 2014-04-13 22:37:38 -0600 )edit

Thanks Steve... That is very clear answer. Will double check the heat-engine and see if take the software_config

Eric GH gravatar imageEric GH ( 2014-04-14 08:28:05 -0600 )edit
0

answered 2014-03-25 03:30:02 -0600

unmesh-gurjar gravatar image

The support for SoftwareConfig is available since Heat CLI version 0.2.7. You need to install a later version of Heat CLI to resolve this issue.

edit flag offensive delete link more

Comments

Thanks unmesh-gurjar!

I upgraded the heat client to 0.2.8. And still see the same issue...

Eric GH gravatar imageEric GH ( 2014-03-25 09:13:44 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

2 followers

Stats

Asked: 2014-03-24 19:41:13 -0600

Seen: 846 times

Last updated: Apr 13 '14